# MongoDB Connector

A Python package for connecting to a MongoDB database and performing CRUD operations.

## Table of Contents

- [Introduction](#introduction)
- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
  - [Initialization](#initialization)
  - [Create Database and Collection](#create-database-and-collection)
  - [Insert Records](#insert-records)
  - [Bulk Insert](#bulk-insert)
- [Testing](#testing)
- [Contributing](#contributing)
- [License](#license)

## Introduction

This package provides an easy-to-use interface for connecting to MongoDB databases, creating collections, and performing insert operations. It supports reading data from `.csv` and `.xlsx` files for bulk insertion.

## Features

- Connect to MongoDB using a connection string
- Create databases and collections
- Insert single or multiple records
- Bulk insert data from `.csv` and `.xlsx` files

## Installation

You can install the package using pip:

```bash
pip install .
